Get an Account Details API

Use this endpoint to fetch complete account details using either the account's unique UUID or external reference. Ideal for displaying account profiles or verifying account information in workflows.

get

Returns single account by idRef

Path parameters
idRefstringRequired
Responses
chevron-right
200

Response to /api/v2.0/account/{idRef}

application/json
created_atstring · date-timeRequired

The time at which the account was created in the XYB system.

currencystringRequired

The currency in which the account is denominated.

default_walletstringOptional

Default wallet code of the account

idstring · uuidRequired

A globally unique identifier for the account, generated on creation.

namestringRequired

Customer defined name of the account.

product_uuidstring · uuidRequired

Product UUID of the account

product_versionstringRequired

Product Version of the account

referencestringRequired

A globally unique identifier for the account.

statestring · enumRequired

One of the Account States.

Possible values:
state_idstring · uuidOptional

An globally unique identifier that is updated on each recorded change of the state field to match the id of the associated AccountStateChange.

updated_atstring · date-timeRequired

The time at which the account was updated in the XYB system.

get
/api/v2.0/account/{idRef}
200

Response to /api/v2.0/account/{idRef}

Last updated